/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.jpa.jpaexample4;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import rs.telenor.jpa.jpaexample4.domen.UserEntity;
import rs.telenor.jpa.jpaexample4.domen.UserProfile;
import rs.telenor.jpa.jpaexample4.service.UserEntityService;

/**
 *
 * @author user
 */
public class Main {

    private final EntityManagerFactory emf;
    private final EntityManager em;
    private final UserEntityService userEntityService;

    public Main() {
        emf = Persistence.createEntityManagerFactory("jpa0PU");
        em = emf.createEntityManager();
        userEntityService = new UserEntityService(em);
    }

    public static void main(String[] args) {
        Main main = new Main();

        //save user
        main.saveUser("Zika", "Zikic", "userZ","sifraZ");
        
        //find user
        main.findUserById(3l);        
    }

    private void saveUser(String firstName, String lastName, String username, String password) {
        UserProfile userProfile = new UserProfile(username, password);
        UserEntity userEntity = new UserEntity(firstName, lastName);
        userEntity = userEntityService.save(userEntity,userProfile);
        System.out.println("===============================saveUser========================");
        System.out.println(userEntity);
    }

    private void findUserById(Long id) {
        UserEntity userEntity = userEntityService.findById(id);
        System.out.println("===============================findUserById========================");
        System.out.println(userEntity);
    }
    
    private void removeUser(Long id) {
        UserEntity userEntity = userEntityService.remove(id);
        System.out.println("===============================removeUser========================");
        System.out.println(userEntity);
    }

}
